osgDB::DeprecatedDotOsgWrapperManager Class Reference

`#include <DotOsgWrapper>`

Inheritance diagram for osgDB::DeprecatedDotOsgWrapperManager:

## Public Types

typedef std::list< std::string > | FileNames

## Public Member Functions

| DeprecatedDotOsgWrapperManager ()
void | addDotOsgWrapper (DotOsgWrapper *wrapper)
void | removeDotOsgWrapper (DotOsgWrapper *wrapper)
osg::Object * | readObjectOfType (const osg::Object &compObj, Input &fr)
osg::Object * | readObjectOfType (const basic_type_wrapper &btw, Input &fr)
osg::Object * | readObject (Input &fr)
osg::Image * | readImage (Input &fr)
osg::Drawable * | readDrawable (Input &fr)
osg::Uniform * | readUniform (Input &fr)
osg::StateAttribute * | readStateAttribute (Input &fr)
osg::Node * | readNode (Input &fr)
osg::Shader * | readShader (Input &fr)
bool | writeObject (const osg::Object &obj, Output &fw)
bool | getLibraryFileNamesToTry (const std::string &name, FileNames &fileNames)
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Detailed Description

deprecated.

## Member Typedef Documentation

## FileNames

typedef std::list<std::string> osgDB::DeprecatedDotOsgWrapperManager::FileNames

## Constructor & Destructor Documentation

## DeprecatedDotOsgWrapperManager()

osgDB::DeprecatedDotOsgWrapperManager::DeprecatedDotOsgWrapperManager | ( |  | ) |

inline

Referenced by getLibraryFileNamesToTry().

## Member Function Documentation

## addDotOsgWrapper()

void osgDB::DeprecatedDotOsgWrapperManager::addDotOsgWrapper | ( | DotOsgWrapper * | wrapper | ) |

## getLibraryFileNamesToTry()

bool osgDB::DeprecatedDotOsgWrapperManager::getLibraryFileNamesToTry | ( | const std::string & | name,
|  | FileNames & | fileNames )

References DeprecatedDotOsgWrapperManager().

## readDrawable()

osg::Drawable * osgDB::DeprecatedDotOsgWrapperManager::readDrawable | ( | Input & | fr | ) |

## readImage()

osg::Image * osgDB::DeprecatedDotOsgWrapperManager::readImage | ( | Input & | fr | ) |

## readNode()

osg::Node * osgDB::DeprecatedDotOsgWrapperManager::readNode | ( | Input & | fr | ) |

## readObject()

osg::Object * osgDB::DeprecatedDotOsgWrapperManager::readObject | ( | Input & | fr | ) |

## readObjectOfType() [1/2]

osg::Object * osgDB::DeprecatedDotOsgWrapperManager::readObjectOfType | ( | const basic_type_wrapper & | btw,
|  | Input & | fr )

## readObjectOfType() [2/2]

osg::Object * osgDB::DeprecatedDotOsgWrapperManager::readObjectOfType | ( | const osg::Object & | compObj,
|  | Input & | fr )

## readShader()

osg::Shader * osgDB::DeprecatedDotOsgWrapperManager::readShader | ( | Input & | fr | ) |

## readStateAttribute()

osg::StateAttribute * osgDB::DeprecatedDotOsgWrapperManager::readStateAttribute | ( | Input & | fr | ) |

## readUniform()

osg::Uniform * osgDB::DeprecatedDotOsgWrapperManager::readUniform | ( | Input & | fr | ) |

## removeDotOsgWrapper()

void osgDB::DeprecatedDotOsgWrapperManager::removeDotOsgWrapper | ( | DotOsgWrapper * | wrapper | ) |

## writeObject()

bool osgDB::DeprecatedDotOsgWrapperManager::writeObject | ( | const osg::Object & | obj,
|  | Output & | fw )

The documentation for this class was generated from the following file:

- DotOsgWrapper